Subject: Re: Gitweb caching: Google Summer of Code project

From: Petr Baudis <[email-masked]>
Date: Fri, 30 May 2008 17:07:13 +0200

On Fri, May 30, 2008 at 04:59:56PM +0200, Lea Wiemann wrote:
> Jakub Narebski wrote:
>> IIRC the policy usually is that one can install packages
>> from main (base) repository for Linux distribution used on server,
>
> libcache-memcached-perl is in Debian stable; that's fair enough I think.  
> Cache::Memcached::Fast doesn't seem to be in Debian as of now, but I 
> wouldn't worry about performance unless it comes up.

Still, please make this optional. It is fine for gitweb not to do any
caching in the bare setup, but you should be able to get the simple
version running without any external dependencies.

>>>> By the way what do you think about adding (as an option) information
>>>> about gitweb performance to the [HTML] output,
>> I'd try to add it when I'd have a bot more of free time
>
> I'd probably wait with this until I've written the Perl Git API.

Hmm, it shouldn't depend on that in any way, should it?

use Time::HiRes qw(gettimeofday tv_interval);
my $t0 = [gettimeofday];
...
print "<p>This page took ".tv_interval($t0, [gettimeofday])."s to generate.</p>";

I wonder what oldest Perl versions do we aim to support? If <5.8, we
need to be more careful about Time::HiRes. It would be useful to
document this with a use perl statement at the top of the script.

-- 
				Petr "Pasky" Baudis
Whatever you can do, or dream you can, begin it.
Boldness has genius, power, and magic in it.	-- J. W. von Goethe